package moduly.decrypt;


public class TestDecryptMain {

    public static void main(String[] args) throws Exception{
// просто для проверки, делитни его потом
        DecruptStr decruptStr = new DecruptStr();
        ShiperInter shiperKey = new ShiperKey();
        shiperKey.setMetKey("Nn7QqwIB9QQR2X4Y");
        String text = "8+EbkACt+nkhakMWl0Ru6g";
        System.out.println("расшифрованая строка AES256 -> " + decruptStr.decryptor(shiperKey.getAlgorithm(), text, shiperKey.getSkeySpec(), shiperKey.getIvKey()));


        String decryptedString = decruptStr.decryptorBase64(text);
        System.out.println("DecryptedBase64 " + decryptedString);
    }
}
